Name: netOfficeDwins
Version:        1.3.p2
Release:        1%{?dist}
Summary:        Web Based Time Tracking, Timesheet, and Project Management Tool
Group:          Applications/Productivity
License:        GPL
URL:            http://sourceforge.net/projects/netofficedwins/
Source0:	http://downloads.sourceforge.net/sourceforge/netofficedwins/%{name}%{version}.tar.gz
Source1:	netoffice-RPM.README
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:       postgresql-server, postgresql, httpd >= 2, php >= 5, php-pgsql, identd
Requires:	php-mbstring, php-mcrypt, gd
BuildArch:      noarch

%description

netOffice Dwins is a free web based time tracking, timesheet, and project
management environment. It includes groupware module, manage web projects
with team collaboration, users management, tasks and projects tracking,
files approval tracking, project sites clients access, customer relationship
management, person evaluation, timesheet.

Setup at http://localhost/netoffice/ and follow the procedure at
netoffice-RPM.README Not tested for upgrading. Use at your own
responsability.

%prep
#%setup -q
%setup -n netoffice


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%__install -d %{buildroot}%{_var}/www/%{name}
#make %__install DESTDIR=$RPM_BUILD_ROOT
cp -a *  %{buildroot}%{_var}/www/%{name}/

# apache config
%__install -d  %{buildroot}%{_sysconfdir}/httpd/conf.d/
cat > %{buildroot}%{_sysconfdir}/httpd/conf.d/01_%{name}.conf << EOF

Alias /netoffice %{_var}/www/%{name}

<Directory %{_var}/www/%{name}>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1

    # These were taken from inspecting the generated .htaccess file.
    # NOTE: in Mandriva .htaccess files are ignored.
#    RedirectMatch /%{name}/sugarcrm.log.* /%{name}/log_file_restricted.html
#    RedirectMatch /%{name}/emailman.log /%{name}/log_file_restricted.html
#    RedirectMatch /%{name}/not_imported_(.*).txt /%{name}/log_file_restricted.html
#    RedirectMatch /%{name}/XTemplate/(.*)/(.*).php /%{name}/index.php

</Directory>
EOF

# crontab config
%__install -d  %{buildroot}%{_sysconfdir}/cron.weekly/
cat > %{buildroot}%{_sysconfdir}/cron.weekly/%{name} << EOF
cd %{_var}/www/%{name}/scripts;php noti_logtime 2>&1 >> %{_var}/log/netoffice.noti_logtime
cd %{_var}/www/%{name}/scripts;php noti_orphantask 2>&1 >> %{_var}/log/netoffice.noti_orphantask
EOF

%__install -d %{buildroot}%{_sysconfdir}/cron.daily/
cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} << EOF
cd %{_var}/www/%{name}/scripts;php noti_todolist 2>&1 >> %{_var}/log/netoffice.noti_todolist
EOF

%__install -d %{buildroot}%{_sysconfdir}/cron.d/
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} << EOF
SHELL=/bin/sh
# run these jobs every 5 minutes
*/5 * * * * cd %{_var}/www/%{name}/scripts;php send_reminder 2>&1 >> %{_var}/log/netoffice.send_reminder
EOF

# fix attribs
find %{buildroot}%{_var}/www/%{name} -type d | sed -e "s|%{buildroot}||" | sed -e 's/^/%attr(0755,apache,root) %dir /' > %{name}.filelist
find %{buildroot}%{_var}/www/%{name} -type f | sed -e "s|%{buildroot}||" | sed -e 's/^/%attr(0644,apache,root) /' >> %{name}.filelist

%__install %{SOURCE1} docs/


%clean
rm -rf $RPM_BUILD_ROOT


%files
#%defattr(-,apache,apache,-)
%defattr(644,apache,apache,755) 
%{_var}/www/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/01_%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cron*/*
%doc docs/*

%changelog
* Tue Jan 02 2008 Ismael Olea <ismael@olea.org> 1.3.p2-1olea
- first rpm package
